QueryOptions (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class QueryOptions

- java.lang.Object
- - org.apache.cassandra.cql3.QueryOptions

-     public abstract class QueryOptions
      extends java.lang.Object

  Options for a query.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CBCodec<QueryOptions>` | `codec`
    `static QueryOptions` | `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryOptions` | `create(ConsistencyLevel consistency, java.util.List<java.nio.ByteBuffer> values, boolean skipMetadata, int pageSize, PagingState pagingState, ConsistencyLevel serialConsistency)`
    `static QueryOptions` | `forInternalCalls(ConsistencyLevel consistency, java.util.List<java.nio.ByteBuffer> values)`
    `static QueryOptions` | `forInternalCalls(java.util.List<java.nio.ByteBuffer> values)`
    `static QueryOptions` | `fromPreV3Batch(ConsistencyLevel consistency)`
    `static QueryOptions` | `fromProtocolV1(ConsistencyLevel consistency, java.util.List<java.nio.ByteBuffer> values)`
    `static QueryOptions` | `fromProtocolV2(ConsistencyLevel consistency, java.util.List<java.nio.ByteBuffer> values)`
    `abstract ConsistencyLevel` | `getConsistency()`
    `int` | `getPageSize()` The pageSize for this query.
    `PagingState` | `getPagingState()` The paging state for this query, or null if not relevant.
    `abstract int` | `getProtocolVersion()` The protocol version for the query.
    `ConsistencyLevel` | `getSerialConsistency()` Serial consistency for conditional updates.
    `long` | `getTimestamp(QueryState state)`
    `abstract java.util.List<java.nio.ByteBuffer>` | `getValues()`
    `QueryOptions` | `prepare(java.util.List<ColumnSpecification> specs)`
    `abstract boolean` | `skipMetadata()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final QueryOptions DEFAULT

    - #### codec

          public static final CBCodec<QueryOptions> codec

  - ### Constructor Detail

    - #### QueryOptions

          public QueryOptions()

  - ### Method Detail

    - #### fromProtocolV1

          public static QueryOptions fromProtocolV1(ConsistencyLevel consistency,
                                    java.util.List<java.nio.ByteBuffer> values)

    - #### fromProtocolV2

          public static QueryOptions fromProtocolV2(ConsistencyLevel consistency,
                                    java.util.List<java.nio.ByteBuffer> values)

    - #### forInternalCalls

          public static QueryOptions forInternalCalls(ConsistencyLevel consistency,
                                      java.util.List<java.nio.ByteBuffer> values)

    - #### forInternalCalls

          public static QueryOptions forInternalCalls(java.util.List<java.nio.ByteBuffer> values)

    - #### fromPreV3Batch

          public static QueryOptions fromPreV3Batch(ConsistencyLevel consistency)

    - #### create

          public static QueryOptions create(ConsistencyLevel consistency,
                            java.util.List<java.nio.ByteBuffer> values,
                            boolean skipMetadata,
                            int pageSize,
                            PagingState pagingState,
                            ConsistencyLevel serialConsistency)

    - #### getConsistency

          public abstract ConsistencyLevel getConsistency()

    - #### getValues

          public abstract java.util.List<java.nio.ByteBuffer> getValues()

    - #### skipMetadata

          public abstract boolean skipMetadata()

    - #### getPageSize

          public int getPageSize()

      The pageSize for this query. Will be <= 0 if not relevant for the query.

    - #### getPagingState

          public PagingState getPagingState()

      The paging state for this query, or null if not relevant.

    - #### getSerialConsistency

          public ConsistencyLevel getSerialConsistency()

      Serial consistency for conditional updates.

    - #### getTimestamp

          public long getTimestamp(QueryState state)

    - #### getProtocolVersion

          public abstract int getProtocolVersion()

      The protocol version for the query. Will be 3 if the object don't come from a native protocol request (i.e. it's been allocated locally or by CQL-over-thrift).

    - #### prepare

          public QueryOptions prepare(java.util.List<ColumnSpecification> specs)

Copyright © 2014 The Apache Software Foundation